# vim: set ft=spec: -*- spec -*-
# $Id: gle,v 1.2 2003/12/14 22:19:37 raorn Exp $

%def_disable static

%define name gle
%define version 3.1.0
%define release alt3

# Let's tweak some paths...
%define _libdir %_x11libdir
%define _includedir %_x11includedir
%define _mandir %_x11mandir
# Please, RPM, do not remove documentation after installing...
%define _customdocdir %_docdir/%name-%version

Name: %name
Version: %version
Release: %release
Summary: The GLE Tubing and Extrusion Library for OpenGL
License: GPL
Group: System/Libraries
Url: http://www.linas.org/gle
Packager: Sir Raorn <raorn@altlinux.ru>

Source: %url/pub/%name-%version.tar.gz

# Automatically added by buildreq on Mon Apr 07 2003 and filtered by raorn
BuildRequires: XFree86-devel libGLU-devel libglut-devel
%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package -n lib%name
Summary: The GLE Tubing and Extrusion Library for OpenGL
Group: System/Libraries

%description -n lib%name
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

%package -n lib%name-devel
Summary: Dedelopment headers for the GLE Tubing and Extrusion Library
Group: Development/C
Requires: lib%name = %version-%release
# Due to %_includedir/GL directory...
Requires: XFree86-devel

%description -n lib%name-devel
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contain development headers and libraries.

%if_enabled static
%package -n lib%name-devel-static
Summary: Static version of the GLE Tubing and Extrusion Library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contains static libraries.
%endif

%package doc
Summary: Documentation for the GLE Tubing and Extrusion Library
Group: Books/Computer books
# Due to docdir...
Requires: lib%name = %version-%release

%description doc
The GLE Tubing and Extrusion Library consists of a number of "C"
language subroutines for drawing tubing and extrusions. It is a very
fast implementation of these shapes, outperforming all other
implementations, most by orders of magnitude. It uses the
OpenGL (TM) programming API to perform the actual drawing of the tubing
and extrusions.

This package contains documentation.

%prep
%setup -q

%build
%{?!_enable_static:export lt_cv_prog_cc_static_works=no}
%configure \
	%{subst_enable static}
%make_build

%install
%makeinstall
%__mv %buildroot%_docdir/%name %buildroot%_docdir/%name-%version

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -n lib%name
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*
%exclude %_docdir/%name-%version/examples
%exclude %_docdir/%name-%version/html
%_libdir/lib%name.so.*

%files -n lib%name-devel
%_libdir/lib%name.so
%_includedir/GL/*
%_mandir/man3/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a
%endif

%files doc
%doc %_docdir/%name-%version/examples
%doc %_docdir/%name-%version/html

%changelog
* Fri Dec 12 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt3
- devel-static and *.la fixes

* Sun Apr 13 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt2
- Oops. Added %%post/%%postun scripts for lib%name

* Mon Apr 07 2003 Sir Raorn <raorn@altlinux.ru> 3.1.0-alt1
- Built for Sisyphus


